% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lsm_c_para_mn.R
\name{lsm_c_para_mn}
\alias{lsm_c_para_mn}
\alias{lsm_c_para_mn.RasterLayer}
\alias{lsm_c_para_mn.RasterStack}
\alias{lsm_c_para_mn.RasterBrick}
\alias{lsm_c_para_mn.stars}
\alias{lsm_c_para_mn.list}
\title{PARA_MN (class level)}
\usage{
lsm_c_para_mn(landscape, directions)

\method{lsm_c_para_mn}{RasterLayer}(landscape, directions = 8)

\method{lsm_c_para_mn}{RasterStack}(landscape, directions = 8)

\method{lsm_c_para_mn}{RasterBrick}(landscape, directions = 8)

\method{lsm_c_para_mn}{stars}(landscape, directions = 8)

\method{lsm_c_para_mn}{list}(landscape, directions = 8)
}
\arguments{
\item{landscape}{Raster* Layer, Stack, Brick or a list of rasterLayers.}

\item{directions}{The number of directions in which patches should be
connected: 4 (rook's case) or 8 (queen's case).}
}
\value{
tibble
}
\description{
Mean perimeter-area ratio (Shape metric)
}
\details{
\deqn{PARA_{MN} = mean(PARA[patch_{ij}]}
where \eqn{PARA[patch_{ij}]} is the perimeter area ratio of each patch.

PARA_MN is a 'Shape metric'. It summarises each class as the mean of
each patch belonging to class i. The perimeter-area ratio describes the patch complexity
in a straightforward way. However, because it is not standarised to a certain shape
(e.g. a square), it is not scale independent, meaning that increasing the patch size
while not changing the patch form will change the ratio.

\subsection{Units}{None}
\subsection{Range}{PARA_MN > 0}
\subsection{Behaviour}{Approaches PARA_MN > 0 if PARA for each patch approaches PARA > 0,
i.e. the form approaches a rather small square. Increases, without limit, as PARA increases,
i.e. patches become more complex.}
}
\examples{
lsm_c_para_mn(landscape)

}
\references{
McGarigal, K., SA Cushman, and E Ene. 2012. FRAGSTATS v4: Spatial Pattern Analysis
Program for Categorical and Continuous Maps. Computer software program produced by
the authors at the University of Massachusetts, Amherst. Available at the following
web site: http://www.umass.edu/landeco/research/fragstats/fragstats.html
}
\seealso{
\code{\link{lsm_p_para}},
\code{\link{mean}}, \cr
\code{\link{lsm_c_para_sd}},
\code{\link{lsm_c_para_cv}}, \cr
\code{\link{lsm_l_para_mn}},
\code{\link{lsm_l_para_sd}},
\code{\link{lsm_l_para_cv}}
}
