context("landscape level lsm_l_contag metric")

landscapemetrics_landscape_landscape_value <- lsm_l_contag(landscape)

test_that("lsm_l_contag is typestable", {

    expect_is(lsm_l_contag(landscape), "tbl_df")
    expect_is(lsm_l_contag(landscape_stack), "tbl_df")
    expect_is(lsm_l_contag(landscape_brick), "tbl_df")
    expect_is(lsm_l_contag(landscape_list), "tbl_df")
})

test_that("lsm_l_contag returns the desired number of columns", {

    expect_equal(ncol(landscapemetrics_landscape_landscape_value), 6)
})

test_that("lsm_l_contag returns in every column the correct type", {

    expect_type(landscapemetrics_landscape_landscape_value$layer, "integer")
    expect_type(landscapemetrics_landscape_landscape_value$level, "character")
    expect_type(landscapemetrics_landscape_landscape_value$class, "integer")
    expect_type(landscapemetrics_landscape_landscape_value$id, "integer")
    expect_type(landscapemetrics_landscape_landscape_value$metric, "character")
    expect_type(landscapemetrics_landscape_landscape_value$value, "double")
})

test_that("lsm_l_contag returns warning for less than 2 classes", {

    expect_warning(lsm_l_contag(landscape_uniform),
                   regexp = "Number of classes must be >= 2: CONTAG = NA.",
                   fixed = TRUE)
    })
